Crear una función JavaScript. Realizar la validación de datos de alquiler 
de vehículos en JavaScript: código=alfanumérico de 5 caracteres, marca=alfanumérico 
de 50 caracteres, modelo=alfanumérico de 30 caracteres, año=numérico de 4 dígitos, 
fecha inicial=tipo date, fecha final=tipo date). La fecha de final debe ser mayor a 
la fecha inicial.


<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Prueba</title>
    <link rel="stylesheet" href="codigo.css">
</head>

<body>
    <h2>Alquiler Vehiculos</h2>
    <form action="formulario.html" method="get" id="form">
        Codigo:
        <input type="text" name="codigo" id="codigo" placeholder="Ingresar Codigo" class="inputform" >
        <span id="mensaje1-error"></span>
        <br>
        <br>
        Marca:
        <input type="text" name="Marca" id="Marca" placeholder="Ingresar Marca" class="inputform" >
        <span id="mensaje2-error"></span>
        <br>
        <br>
        Modelo:
        <input type="text" name="modelo" id="modelo" placeholder="Ingresar Modelo" class="inputform" >
        <span id="mensaje3-error"></span>
        <br>
        <br>
        Año:
        <input type="text" name="año" id="año" placeholder="Ingresar Año" class="inputform" >
        <span id="mensaje4-error"></span>
        <br>
        <br>
        Fecha Inicial:
        <input type="date" name="fechaInicial" id="fechaInicial" placeholder="Ingresar fecha Inicial" class="inputform" required>
        <span id="mensaje5-error"></span>
        <br>
        <br>
        Fecha Final:
        <input type="date" name="fechaFinal" id="fechaFinal" placeholder="Ingresar Fecha Final" class="inputform" required>
        <span id="mensaje6-error"></span>
        <br>
        <br>
        <input type="submit" name="send-button" value="Enviar Formulario">
        <span id="mensaje-error"></span>
    </form>
    <script src="validacion.js"></script>
</body>
